Main Page Widgets Namespaces Book

# text.h File Reference

## Namespaces

namespace | Atk
namespace | Glib

## Classes

class | Atk::Attribute
struct | Atk::AttributeTraits
class | Atk::TextAttribute
class | Atk::Text
| The ATK interface implemented by components with text content. More...

## Typedefs

typedef Glib::SListHandle< Attribute, AttributeTraits > | AttributeSet

## Enumerations

enum

BuiltinTextAttribute {
TEXT_ATTR_INVALID,
TEXT_ATTR_LEFT_MARGIN,
TEXT_ATTR_RIGHT_MARGIN,
TEXT_ATTR_INDENT,
TEXT_ATTR_INVISIBLE,
TEXT_ATTR_EDITABLE,
TEXT_ATTR_PIXELS_ABOVE_LINES,
TEXT_ATTR_PIXELS_BELOW_LINES,
TEXT_ATTR_PIXELS_INSIDE_WRAP,
TEXT_ATTR_BG_FULL_HEIGHT,
TEXT_ATTR_RISE,
TEXT_ATTR_UNDERLINE,
TEXT_ATTR_STRIKETHROUGH,
TEXT_ATTR_SIZE,
TEXT_ATTR_SCALE,
TEXT_ATTR_WEIGHT,
TEXT_ATTR_LANGUAGE,
TEXT_ATTR_FAMILY_NAME,
TEXT_ATTR_BG_COLOR,
TEXT_ATTR_FG_COLOR,
TEXT_ATTR_BG_STIPPLE,
TEXT_ATTR_FG_STIPPLE,
TEXT_ATTR_WRAP_MODE,
TEXT_ATTR_DIRECTION,
TEXT_ATTR_JUSTIFICATION,
TEXT_ATTR_STRETCH,
TEXT_ATTR_VARIANT,
TEXT_ATTR_STYLE,
TEXT_ATTR_LAST_DEFINED
}

enum | TextBoundary { TEXT_BOUNDARY_CHAR, TEXT_BOUNDARY_WORD_START, TEXT_BOUNDARY_WORD_END, TEXT_BOUNDARY_SENTENCE_START, TEXT_BOUNDARY_SENTENCE_END, TEXT_BOUNDARY_LINE_START, TEXT_BOUNDARY_LINE_END }
enum | TextClipType { TEXT_CLIP_NONE, TEXT_CLIP_MIN, TEXT_CLIP_MAX, TEXT_CLIP_BOTH }

## Typedef Documentation

typedef Glib::SListHandle<Attribute, AttributeTraits> Atk::AttributeSet